org.apache.ignite.internal.processors.cache.tree.mvcc.search

## Class MvccSnapshotSearchRow

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.tree.SearchRow
  - - org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSearchRow
    - - org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSnapshotSearchRow

All Implemented Interfaces:
  MvccVersionAware, CacheSearchRow, BPlusTree.TreeRowClosure<CacheSearchRow,CacheDataRow>, MvccTreeClosure

    public class MvccSnapshotSearchRow
    extends MvccSearchRow
    implements MvccTreeClosure

Search row which returns the first row visible for the given snapshot. Usage: - set this row as the upper bound - pass the same row as search closure.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSearchRow

`crdVer, opCntr`

### Constructor Summary

Constructors
Constructor and Description
`MvccSnapshotSearchRow(GridCacheContext cctx, KeyCacheObject key, MvccSnapshot snapshot)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(BPlusTree<CacheSearchRow,CacheDataRow> tree, BPlusIO<CacheSearchRow> io, long pageAddr, int idx)` Performs inspection or operation on a specified row and returns true if this row is required or matches or /operation successful (depending on the context).
`@Nullable CacheDataRow` `row()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.tree.mvcc.search.MvccSearchRow

`mvccCoordinatorVersion, mvccCounter, mvccOperationCounter`

### Methods inherited from class org.apache.ignite.internal.processors.cache.tree.SearchRow

`cacheId, hash, key, link, mvccTxState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersionAware

`mvccVersion, mvccVersion, mvccVersion, mvccVersion`

### Constructor Detail

#### MvccSnapshotSearchRow

    public MvccSnapshotSearchRow(GridCacheContext cctx,
                                 KeyCacheObject key,
                                 MvccSnapshot snapshot)

Constructor.

Parameters:
  `cctx` -
  `key` - Key.
  `snapshot` - Snapshot.

### Method Detail

#### row

    @Nullable
    public @Nullable CacheDataRow row()

Returns:
  Found row.

#### apply

    public boolean apply(BPlusTree<CacheSearchRow,CacheDataRow> tree,
                         BPlusIO<CacheSearchRow> io,
                         long pageAddr,
                         int idx)
                  throws IgniteCheckedException

Performs inspection or operation on a specified row and returns true if this row is required or matches or /operation successful (depending on the context).

Specified by:
  `apply` in interface `BPlusTree.TreeRowClosure<CacheSearchRow,CacheDataRow>`
Parameters:
  `tree` - The tree.
  `io` - Th tree IO object.
  `pageAddr` - The page address.
  `idx` - The item index.
Returns:
  `True` if the item passes the predicate.
Throws:
  `IgniteCheckedException` - If failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `MvccSearchRow`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021